Page 1 of 1

Ogre3D 1.9 for iOS

Posted: Tue Jun 02, 2015 9:20 am
by ENGine
Hi, all.

I hope that this topic will be read by master-falcon :) Sorry about that, but I have got a trouble when trying to launch the app for iOS platform.

Code: Select all

Registering ResourceManager for type Texture
GLES2RenderSystem::_createRenderWindow "DemoApp v1.0", 320x480 fullscreen  miscParams: FSAA=0 contentScalingFactor=2 displayFrequency=0 Hz 
dyld: program was built for Mac OS X and cannot be run in simulator
libc++abi.dylib: terminating with uncaught exception of type std::out_of_range: basic_string
More details here is: http://www.ogre3d.org/forums/viewtopic.php?f=2&t=83463
Is it possible to ask you to rebuild Ogre3D 1.9 iOS SDK? :)

Re: Ogre3D 1.9 for iOS

Posted: Wed Jun 03, 2015 8:14 pm
by frostbyte
wow, this forum is dead or what?
maybe this will help you get started in the mean-while...https://github.com/dahiri-farid/iOgre3D
dont know if it's 1.9 or 1.10...but anyway api changes are minor( mostly OIS related ) and your project would probably compile anyway...

Re: Ogre3D 1.9 for iOS

Posted: Wed Jun 03, 2015 11:44 pm
by hydexon

Code: Select all

dyld: program was built for Mac OS X and cannot be run in simulator
You've compiled the project by using Mac OS X SDKs and no the iOS ones.

Re: Ogre3D 1.9 for iOS

Posted: Thu Jun 04, 2015 1:30 pm
by ENGine
I have complited the project for: Supported platform iOS, 8.3

Re: Ogre3D 1.9 for iOS

Posted: Thu Jun 04, 2015 5:02 pm
by ENGine
https://github.com/dahiri-farid/iOgre3D It's compileted Ogre 1.10.
Maybe you know the same arch for Ogre 1.9 ? Thanks.